﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HierarchyNavigator_Sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            user1.HierarchyNavigator.HierarchyNavigatorSelectedItemChanged += HierarchyNavigator_HierarchyNavigatorSelectedItemChanged;
        }

        private void HierarchyNavigator_HierarchyNavigatorSelectedItemChanged(object sender, Syncfusion.Windows.Tools.Controls.HierarchyNavigatorSelectedItemChangedEventArgs e)
        {
            if ((sender as HierarchyItem).ContentString == @"C:\Test")
                (sender as HierarchyItem).HierarchyItems.Add(new HierarchyItem("Item3") { ContentString = @"Test Folders" });
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            UserControl1 userControl1 = new UserControl1();
            userControl1.Width = 450;
            userControl1.Height = 70;
            stackPanel1.Children.Add(userControl1);
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            user1.HierarchyItems[0].HierarchyItems.Add(new HierarchyItem("Item3") { ContentString= @"F:\Test" });
        }
    }




}
